using Microsoft.AspNetCore.Mvc;

namespace Demo.WebApplication.Controllers
{
    /// <summary>
    /// classe controleur pour l'accueil de l'application
    /// </summary>
    public class HomeController
    {
        /// <summary>
        /// Retourne "bonjour"
        /// </summary>
        /// <returns></returns>
        public string Index()
        {
            return "Bonjour";
        }

        /// <summary>
        /// Retourne la valeur passée au paramètre id
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpPost]
        public string Toto(string id)
        { 
            return id;
        }

        /// <summary>
        /// Retourne la valeur de l'addition des deux paramètres passés 
        /// </summary>
        /// <param name="id"></param>
        /// <returns>id+id2;</returns>
        [HttpPost]
        public int Tata(int id,int id2)
        {
            return id+id2;
        }

        /// <summary>
        /// Retourne la valeur de la soustraction des deux paramètres passés 
        /// </summary>
        /// <param name="id"></param>
        /// <returns>id - id2;</returns>
        [HttpPost]
        public int Titi(int id, int id2)
        {
            return id - id2;
        }
    }
}
